Subject: [PATCH] hwmon: (gpio-fan) allow to use alarm support alone from DT

From: [email-masked] (Guenter Roeck)
Date: Mon, 23 Feb 2015 06:06:12 -0800

On 02/23/2015 04:58 AM, Simon Guinot wrote:
> On some boards, such as the LaCie 2Big Network v2 or 2Big NAS (based on
> Marvell Kirkwood SoCs), an I2C fan controller is used but the alarm
> signal is wired to a separate GPIO. Unfortunately, the gpio-fan driver
> can't be used to handle GPIO alarm alone from DT: an error is returned
> if the "gpios" DT property is missing.
>
> This patch allows to use the gpio-fan driver even if the "alarm-gpios"
> DT property is defined alone.
>

That is the wrong solution. The gpio alarm signal should be handled
by the fan controller driver.

Guenter